@import '~include-media/dist/include-media';
@import '../../../../style/variables';

@include media('<=xs') {
  :host {
    .mat-card {
      > .mat-card-actions {
        width: 100%;
      }
    }

    $logo-size: 3.5rem;
    figure {
      grid-template-columns: repeat(2, $logo-size);
      grid-template-rows: repeat(2, $logo-size);

      &.grid-col-3 {
        grid-template-columns: repeat(3, $logo-size);
      }

      img {
        max-width: $logo-size;
        max-height: $logo-size;
      }
    }
  }
}

@include media('<=xxs') {
  :host {
    $logo-size: 2.5rem;
    figure {
      grid-template-columns: repeat(2, $logo-size);
      grid-template-rows: repeat(2, $logo-size);

      &.grid-col-3 {
        grid-template-columns: repeat(3, $logo-size);
      }

      img {
        max-width: $logo-size;
        max-height: $logo-size;
      }
    }
  }
}
